require 'rails_helper'

RSpec.describe "settings/tax_profiles/show", type: :view do
  before(:each) do
    @settings_tax_profile = assign(:settings_tax_profile, Settings::TaxProfile.create!(
      :name => "Name",
      :rate => "9.99",
      :inclusive => false,
      :order_by => 2,
      :created_by => "Created By"
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(/Name/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/2/)
    expect(rendered).to match(/Created By/)
  end
end
